Edit

Create taxAreas (v1.0)

Creates a tax area object in Business Central.

HTTP request (v1.0)

Replace the URL prefix for Business Central depending on environment following the guideline.

POST businesscentralPrefix/companies({id})/taxAreas({id})

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body (v1.0)

In the request body, supply a JSON representation of a taxAreas object.

Response (v1.0)

If successful, this method returns 201 Created response code and a taxAreas object in the response body.

Example (v1.0)

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/api/v1.0/companies({id})/taxAreas
Content-type: application/json
```json
{
  "code": "44442001T"
}

Response

HTTP/1.1 201 Created
Content-type: application/json

{
  "id": "id-value",
  "code": "44442001T",
  "displayName": "tax area",
  "lastModifiedDateTime": "2017-05-17T11:30:01.313Z"
}

Tips for working with the APIs

Tax Area
Get Tax Area
Update Tax Area
Delete Tax Area